Bug 428224 - Module init tools doesn't maintain symbolic link with update for gfs.ko
Module init tools doesn't maintain symbolic link with update for gfs.ko
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: module-init-tools (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Jon Masters
Depends On:
  Show dependency treegraph
Reported: 2008-01-09 19:52 EST by Norm Murray
Modified: 2010-10-22 17:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-13 14:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2008-01-09 19:52:09 EST
For a GFS RHEL 5U1 system;
Update the kernel using yum and allow the kernel, gfs to update.
Reboot and gfs is broken.  It won't load the modules gfs.ko because the symbolic
link is pointing to the wrong spot.

How reproducible:
Happens every update.

Steps to Reproduce:
yum update

Actual results:
(do a find /lib/modules -name gfs.ko , then list them)
[root@ct-db-1 grub]# ls -l /lib/modules/2.6.18-53.1.4.el5/weak-updates/gfs/gfs.ko
lrwxrwxrwx 1 root root 46 Dec  6 11:33
/lib/modules/2.6.18-53.1.4.el5/weak-updates/gfs/gfs.ko ->
(The listing shows up in red because it is broken)

Expected results:

[root@ct-db-1 grub]# ls -l /lib/modules/2.6.18-53.1.4.el5/weak-updates/gfs/gfs.ko
lrwxrwxrwx 1 root root 43 Dec 12 09:26
/lib/modules/2.6.18-53.1.4.el5/weak-updates/gfs/gfs.ko ->

Additional info:

Steps to fix this:
rm /lib/modules/2.6.18-53.1.4.el5/weak-updates/gfs/gfs.korm: remove symbolic
link `/lib/modules/2.6.18-53.1.4.el5/weak-updates/gfs/gfs.ko'? y
ln -s /lib/modules/2.6.18-53.el5/extra/gfs/gfs.ko
Comment 1 Jon Masters 2008-01-09 20:30:53 EST
Did you remove the old kernel in some weird way?
Comment 7 Jon Masters 2008-02-28 13:05:22 EST
Did you remove the old GFS module? Or the kernel? Did GFS get updated to a newer
release as part of the upgrade? Can you give me any more context?
Comment 10 Jon Masters 2008-04-03 03:39:27 EDT
I'm going to ask Chris Feist to take a look at this initially, since he
maintains the GFS modules concerned. If it's possible to reproduce this in house
the I can take a look at why any symlinks are failing to be created.
Comment 13 Issue Tracker 2008-05-22 09:31:47 EDT
Enginerring - what is the status with this?


This event sent from IssueTracker by jwilleford 
 issue 142321

Note You need to log in before you can comment on or make changes to this bug.